Get rentable item by ID
https://api.propexo.com/v1/rentable-items/:rentable_item_idGet rentable item by ID. This endpoint is an inventory view. For assignment history including lease linkage, start/end dates, and status, use GET /v1/rentable-item-assignments.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the rentable item
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
Yardi rentable item codes are only unique within their item type, so this is a composite of the item type code and the item code.
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
14891The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
testprop1The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullDeprecated: Use associated_applicant_ids instead.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiRentableItems |
Deprecated: Use associated_lead_ids instead.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/GetYardiRentableItems |
Deprecated: Use associated_resident_ids instead.
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
The external ID of the type from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
1482The external ID of the charge code from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
rentothThe amount of the rentable item, in cents
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
40000Description of the rentable item
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
ShedThe name of the rentable item
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
SHED001Whether the rentable item is available
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
trueThe date the rentable item is reserved until
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
2025-06-01T00:00:00.000ZThe type associated with the rentable item
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
ShedDeprecated: Use GET /v1/rentable-item-assignments for assignment history. The applicant IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.
True when more than 20 applicant associations exist and associated_applicant_ids was capped to the 20 most recently seen.
This field is not currently hydrated for YARDI_REST
Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The lead IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.
True when more than 20 lead associations exist and associated_lead_ids was capped to the 20 most recently seen.
This field is not currently hydrated for YARDI_REST
Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The resident IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.
True when more than 20 resident associations exist and associated_resident_ids was capped to the 20 most recently seen.
This field is not currently hydrated for YARDI_REST
The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhDeprecated: Use associated_applicant_ids instead.
This is deprecated. Use the /applicants/:id/rentable-items endpoint to read this data instead
This field will always be null for YARDI_REST
nullDeprecated: Use associated_lead_ids instead.
This is deprecated. Use the /leads/:id/rentable-items endpoint to read this data instead
This field will always be null for YARDI_REST
nullDeprecated: Use associated_resident_ids instead.
This is deprecated. Use the /residents/:id/rentable-items endpoint to read this data instead
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
The Propexo unique identifier for the charge code
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
| /ItfProspect/GetYardiRentableItems | ILS Guest Card |
cm2dtyq1600008loze5xgf3fbErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/rentable-items/:rentable_item_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "14891",
"x_property_id": "testprop1",
"x_location_id": null,
"x_type_id": "1482",
"x_charge_code_id": "rentoth",
"amount_in_cents": 40000,
"description": "Shed",
"name": "SHED001",
"is_available": true,
"reserved_until_date": "2025-06-01T00:00:00.000Z",
"type": "Shed",
"associated_applicant_ids_truncated": true,
"associated_lead_ids_truncated": true,
"associated_resident_ids_truncated": true,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh",
"charge_code_id": "cm2dtyq1600008loze5xgf3fb"
}
}